config() {
	NEW="$1"
	OLD="`dirname $NEW`/`basename $NEW .new-0.5.7.1`"

	# If there's no config file by that name, mv it over:
	if [ ! -r $OLD ]; then
		echo "--- Renaming $NEW to $OLD"
		mv $NEW $OLD
	elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
		# toss the redundant copy
		echo "--- Deleting $NEW"
		rm $NEW
	else
		# Otherwise, we leave the .new copy for the admin to consider...
		echo "--- Leaving $NEW for you to replace $OLD"
	fi
}

config etc/rc.d/rc.messagebus.new

# If the messagebus user/group don't exist, add them:
if ! grep -q  messagebus /etc/group; then
        groupadd messagebus
fi
if ! grep -q messagebus /etc/passwd; then
        useradd -g messagebus -d /etc/messagebus -c "dbus" -s /bin/false messagebus
fi

# if rc.messagebus is executable, run it on startup
run=`grep ". /etc/rc.d/rc.messagebus" etc/rc.d/rc.local`
if [[ "${run}" == "" ]]; then	
cat << EOF >> etc/rc.d/rc.local

# To disable dbus, chmod rc.messagebus to 644
if [ -x /etc/rc.d/rc.messagebus ]; then
    if [ -e /var/run/dbus/pid ]; then
        rm -f /var/run/dbus/pid
    fi
  . /etc/rc.d/rc.messagebus start &
fi
EOF
fi

( cd usr/lib ; rm -rf libdbus-1.so.3 )
( cd usr/lib ; ln -sf libdbus-1.so.3.2.0 libdbus-1.so.3 )
( cd usr/lib ; rm -rf libdbus-1.so )
( cd usr/lib ; ln -sf libdbus-1.so.3.2.0 libdbus-1.so )
( cd usr/include ; rm -rf dbus )
( cd usr/include ; ln -sf dbus-1.0/dbus dbus )
